/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.data;

/**
 * Items that have a textual surface form implement this interface.
 *
 * @author M.A. Finlayson
 * @version $Id: IHasForm.java 564 2011-05-05 19:33:58Z markaf $
 * @since jMWE 1.0.0
 */
public interface IHasForm {
	
	/**
	 * Returns the object's surface form text, exactly as it appears in its
	 * original context, with capitalization intact. May be a single word or
	 * punctuation. The surface form may not contain whitespace or underscores.
	 * This method will never return <code>null</code>.
	 * 
	 * @return the original text, never <code>null</code>.
	 * @since jMWE 1.0.0
	 */
	public String getForm();

}
