/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.detect.score;

/**
 * Base class for scorers that provides the comparator functionality.
 * 
 * @param <T>
 *            the type of object used by this scorer
 * @author M.A. Finlayson
 * @version $Id: AbstractScorer.java 598 2011-05-06 03:33:34Z markaf $
 * @since jMWE 1.0.0
 */
public abstract class AbstractScorer<T> implements IScorer<T> {

	/* 
	 * (non-Javadoc)
	 *
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(T o1, T o2) {
		return Double.compare(score(o1), score(o2));
	}


}
